Summary:   Programs to access DOS disks w/o mounting them
Name:      mtools
Version:   3.9.6
Release:   2
URL:       http://mtools.linux.lu
Source0:   http://mtools.linux.lu/%{name}-%{version}.tar.gz
Source1:   mtools.conf
Copyright: GPL
Group:     Applications/System
Prereq:    /sbin/install-info
BuildRoot: /tmp/%{name}-%{version}-root

%description
Mtools is a collection of utilities to access MS-DOS disks
from Unix without mounting them. It supports Win'95 style
long file names, OS/2 Xdf disks, ZIP/JAZ disks and 2m
disks (store up to 1992k on a high density 3 1/2 disk).

%prep
%setup -q

%build
./configure --prefix=/usr --sysconfdir=/etc --enable-xdf
make MYCFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc

make prefix=$RPM_BUILD_ROOT/usr install

install -m644 %{SOURCE1} $RPM_BUILD_ROOT/etc
gzip -9f $RPM_BUILD_ROOT/usr/info/*

strip $RPM_BUILD_ROOT/usr/bin/* || :

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info /usr/info/mtools.info.gz /usr/info/dir

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete /usr/info/mtools.info.gz /usr/info/dir
fi

%files
%defattr(-,root,root)
%doc Changelog README Release.notes mtools.texi
%config /etc/mtools.conf
/usr/bin/*
/usr/info/*
%attr(-,root,man) /usr/man/*/*

%changelog
* Sun Jul 11 1999 Arne Coucheron <arneco@online.no>
  [3.9.6-2]
- added mformat_only option to drive a and b in mtools.conf

* Wed Jul 07 1999 Arne Coucheron <arneco@online.no>
  [3.9.6-1]

* Mon Jun 21 1999 Arne Coucheron <arneco@online.no>
  [3.9.5-2]
- changed Group: to comply with RH 6.0
- some changes to mtools.conf

* Sat Apr 24 1999 Arne Coucheron <arneco@online.no>
  [3.9.5-1]

* Thu Mar 16 1999 Arne Coucheron <arneco@online.no>
  [3.9.4-1]

* Mon Mar 15 1999 Arne Coucheron <arneco@online.no>
  [3.9.3-1]
- using %{name} and %{version} macros
- added -q parameter to %setup
- using %defattr in %files
- corrected SOURCE and URL tags
- using MYCFLAGS during compile instead of CFLAGS
- enabled support for xdf floppy disks
- added striping of the binaries

* Thu May 14 1998 Arne Coucheron <arneco@online.no>
  [3.9.1-1]
- removed the SAMPLE FILE text from mtools.conf
- removed older changelogs